package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 机构学练宝配置表
 * 2024-10-23 10:48:21
 */
@Data
@ApiModel(" TenantMemberRankSetting-机构学练宝配置表")
@TableName("tenant_member_rank_setting")
public class TenantMemberRankSetting implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("机构id") 
	@TableField(value = "tenant_id_")
    private Integer tenantId;

    @ApiModelProperty("学练宝ID") 
	@TableField(value = "member_rank_setting_id_")
    private Integer memberRankSettingId;

    @ApiModelProperty("机构配置：TENANT, 学生配置：STUDENT") 
	@TableField(value = "type_")
    private String type;

    @ApiModelProperty("学练宝配置") 
	@TableField(value = "member_config_")
    private String memberConfig;

}