package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.entity.MemberFeeSetting;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

public class MemberRankOrganizationFeeMapperWrapper {

    @Data
    public static class MemberRankOrganizationFeeMapperAdd{

        @ApiModelProperty("分部ID 多个逗号隔开")
        @NotNull(message = "分部ID不能为空")
        private String organIds;

        @ApiModelProperty("学练宝ID")
        @NotNull(message = "学练宝ID不能为空")
        private Integer memberRankSettingId;


        private Integer operatorId;

        @ApiModelProperty("价格信息")
        private MemberFeeSetting memberFeeSetting;

    }

    @Data
    public static class MemberRankQuery {

        @ApiModelProperty("分部ID 多个逗号隔开")
        private String organIds;

        @ApiModelProperty("机构ID")
        private Integer tenantId;

        @ApiModelProperty("ID")
        private Integer id;
    }
}
