package com.ym.mec.dto;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class RoomMember {



//    @ApiModelProperty(value = "房间编号")
    private String roomUid;

//    @ApiModelProperty(value = "房间标题")
    private String roomTitle;

//    @ApiModelProperty(value = "主讲人")
    private String speakerName;

//    @ApiModelProperty(value = "学生编号")
    private Long studentId;


//    @ApiModelProperty(value = "学生编号")
    private String imUserId;

//    @ApiModelProperty(value = "学生姓名")
    private String studentName;

//    @ApiModelProperty(value = "学生头像")
    private String avatar;

//    @ApiModelProperty(value = "手机号")
    private String phone;

//    @ApiModelProperty(value = "声部名称")
    private String subName;

//    @ApiModelProperty(value = "进入房间时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date joinTime;

//    @ApiModelProperty(value = "累计观看时长")
    private Integer totalViewTime;

//    @ApiModelProperty(value = "连麦状态 0:未申请1:申请连麦中2:连麦中")
    private Integer whetherMicStatus;

//    @ApiModelProperty(value = "是否黑名单")
    private boolean blackFlag;

//    @ApiModelProperty("游客凭据")
    private String fingerprint;

//    @ApiModelProperty(value = "是否能上麦:false否；true是")
    private boolean microphoneFlag;
    public String jsonString() {
        return JSON.toJSONString(this);
    }

}
