package com.ym.mec.web.fallback;

import com.alibaba.fastjson.JSON;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.dto.LiveRoomStatus;
import com.ym.mec.dto.RoomMember;
import com.ym.mec.dto.RoomMemberNumDto;
import com.ym.mec.web.KLXFeignService;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class KLXFeignServiceFallback implements KLXFeignService {
    @Override
    public HttpResponseResult<RoomMemberNumDto> queryRoomInfo(String roomUid) {
        return null;
    }

    @Override
    public HttpResponseResult<List<RoomMember>> queryRoomMember(Map<String, Object> param) {
        return null;
    }

    @Override
    public HttpResponseResult<Boolean> updateRoomStatus(JSON status) {
        return null;
    }
}
