package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class WebCourseHomeworkListDto {

    @ApiModelProperty(value = "作业编号",required = false)
    private Long id;

    @ApiModelProperty(value = "课程时间",required = false)
    private String classDate;

    @ApiModelProperty(value = "课程开始时间",required = false)
    private String classStartDate;

    @ApiModelProperty(value = "课程结束时间",required = false)
    private String classEndDate;

    @ApiModelProperty(value = "课程编号",required = false)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseScheduleName;

    @ApiModelProperty(value = "分部编号",required = false)
    private Integer organId;

    @ApiModelProperty(value = "分部名称",required = false)
    private String organName;

    @ApiModelProperty(value = "课程组编号",required = false)
    private String groupId;

    @ApiModelProperty(value = "课程组名称",required = false)
    private String groupName;

    @ApiModelProperty(value = "课程组类型",required = false)
    private GroupType groupType;

    @ApiModelProperty(value = "布置时间",required = false)
    private Date createTime;

    @ApiModelProperty(value = "布置老师",required = false)
    private Integer actualTeacherId;

    @ApiModelProperty(value = "布置老师名称",required = false)
    private String actualTeacherName;

    @ApiModelProperty(value = "作业完成人数",required = false)
    private Integer completedNum = 0;

    @ApiModelProperty(value = "预计完成人数",required = false)
    private Integer expectNum;

    @ApiModelProperty(value = "已回复数",required = false)
    private Integer repliedNum = 0;

    @ApiModelProperty(value = "伴奏编号",required = false)
    private String musicScoreId;

    @ApiModelProperty(value = "乐团名")
    private String musicGroupName;

    @ApiModelProperty(value = "截止时间")
    private Date expiryDate;

    private String versionTag;

    private String memo;
}
