package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 会员课程类型权限表
 * 2024-10-22 14:51:51
 */
@Data
@ApiModel(" MemberRankCourseTypeMapper-会员课程类型权限表")
@TableName("member_rank_course_type_mapper")
public class MemberRankCourseTypeMapper implements Serializable {

	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("课程类型") 
	@TableField(value = "course_type_")
    private String courseType;

    @ApiModelProperty("会员编号") 
	@TableField(value = "rank_id_")
    private Integer rankId;

}