package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
@Data
public class EmployeeQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID",required = true)
    private String organId;

    @ApiModelProperty(value = "工作类型",required = true)
    private String jobNature;

    @ApiModelProperty(value = "角色ID",required = false)
    private Long roleId;

    @ApiModelProperty(value = "用户名或电话",required = false)
    private Long userNameOrPhone;

    /** 是否离职 */
    @ApiModelProperty(value = "是否离职",required = false)
    private Boolean demissionflag;

    /** 是否冻结 */
    @ApiModelProperty(value = "是否冻结",required = false)
    private Boolean lockFlag;

    @ApiModelProperty(value = "社保分部",required = false)
    private Integer deptId;

    @ApiModelProperty(value = "所属部门",required = false)
    private String deptIds;
}
