package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TeacherQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "科目编号")
    private Integer subjectId;

    @ApiModelProperty(value = "机构编号")
    private String organId;

    @ApiModelProperty(value = "教师工作性质")
    private String jobNature;

    @ApiModelProperty(value = "是否试用期")
    private String isProbationPeriod;

    @ApiModelProperty(value = "账号状态")
    private String lockFlag;

    @ApiModelProperty(value = "是否支持额外陪练课授课")
    private Boolean isSupportExtraPracticeLesson;

    @ApiModelProperty(value = "是否结算课酬")
    private Boolean isSettlementSalary;

    @ApiModelProperty(value = "是否离职")
    private Boolean demissionFlag;

    @ApiModelProperty(value = "社保分部",required = false)
    private Integer deptId;

    @ApiModelProperty(value = "所属部门",required = false)
    private String deptIds;
}
