package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderMember;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface MusicGroupPaymentCalenderMemberService extends BaseService<Long, MusicGroupPaymentCalenderMember> {

    void deleteByCalenderId(Long calenderId);

    List<MusicGroupPaymentCalenderMember> findByCalenderId(Long calenderId);

    void batchInsert(List<MusicGroupPaymentCalenderMember> calenderMemberList);

    void batchUpdate(List<MusicGroupPaymentCalenderMember> calenderMemberList);

    List<MusicGroupPaymentCalenderMember> findByIds(List<Long> calenderMemberIds);
}